package com.op.wms.service;

import java.util.List;

import com.op.common.core.web.domain.AjaxResult;
import com.op.wms.domain.BasePowderOrder;

/**
 * 粉料采购计划Service接口
 *
 * @author Open Platform
 * @date 2023-07-05
 */
public interface IBasePowderOrderService {
	/**
	 * 查询粉料采购计划
	 *
	 * @param ID 粉料采购计划主键
	 * @return 粉料采购计划
	 */
	public BasePowderOrder selectBasePowderOrderByID(String ID);

	/**
	 * 查询粉料采购计划列表
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 粉料采购计划集合
	 */
	public List<BasePowderOrder> selectBasePowderOrderList(BasePowderOrder basePowderOrder);

	/**
	 * 新增粉料采购计划
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 结果
	 */
	public int insertBasePowderOrder(BasePowderOrder basePowderOrder);

	/**
	 * 修改粉料采购计划
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 结果
	 */
	public int updateBasePowderOrder(BasePowderOrder basePowderOrder);

	/**
	 * 批量删除粉料采购计划
	 *
	 * @param IDs 需要删除的粉料采购计划主键集合
	 * @return 结果
	 */
	public int deleteBasePowderOrderByIDs(String[] IDs);

	/**
	 * 删除粉料采购计划信息
	 *
	 * @param ID 粉料采购计划主键
	 * @return 结果
	 */
	public int deleteBasePowderOrderByID(String ID);

	int confirmReceipt(BasePowderOrder basePowderOrder);

	AjaxResult powderReturn(String[] iDs);
}
